## CGAL::Median_of_rectangle<Traits, SpatialSeparator>

### Definition

Implements the median of rectangle splitting rule. The splitting dimension is the dimension of the longest side of the rectangle. The splitting value is defined by the median of the coordinates of the data points along this dimension.

#include <CGAL/Splitters.h>

### Parameters

Expects for the first template argument a model of the concept SearchTraits, for example the type CGAL::Search_traits_3< Cartesian<double> >.

Expects for the second template argument a model of the concept Separator. It has as default value the type, CGAL::Plane_separator<Traits::FT>.

### Is Model for the Concept

Splitter

### Creation

Median_of_rectangle<Traits, SpatialSeparator> s;
| Default constructor.

Median_of_rectangle<Traits, SpatialSeparator> s ( | unsigned int bucket_size);

| Constructor.

### Operations

unsigned int | s.bucket_size () | Returns the bucket size of the leaf nodes.

### See Also

Splitter,
SpatialSeparator